# Dotfiles
These are my dotfiles, I use them on a variety of systems, so they have some OS/Platform specific changes. I use a GNU/Linux Desktop, OpenBSD Thinkpad x200, and for work, a 2019 Macbook Pro. None of my dotfiles have Windows specific adjustments.

## Development
I use a customized version of GNU Emacs with the Evil extension for most of my development. I also maintain a NeoVim configuration that I use for quick edits. I mainly develop for the JVM (Java, and Clojure), or for the frontend with TypeScript, Angular, and Elm. I also program with various flavors of Lisp (Scheme, Common, Clojure). These drastically impact how my editors are configured.

You'll find modes for Java, D, Clojure, TypeScript, Common Lisp, and Scheme in my Emacs config, however I've set it up so it's easy to add others if you'd like.

## Screenshots
This is my Macbook pro with Emacs (note I use `brew install --cask emacs`):

![image of emacs on mbpro](https://i.imgur.com/20L7ei4.png)

The following is my Parabola system using my forks of [dwm](https://www.github.com/rawleyfowler/dwm), [st](https://www.github.com/rawleyfowler/st), and my NeoVim configuration.

![image of the setup](https://i.imgur.com/hH0CTZM.png)

This is my OpenBSD setup on my thinkpad, using a custom version of dwm, and urxvt.

![image of the obsd setup](https://i.redd.it/dztjwlx30w791.png)
